/*
    geccoDateTime -- A date and time configuration plugin for gecco.
    Copyright (C) 1999-2000  <John Vivian>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#ifndef __GECCODATETIME_H__
#define __GECCODATETIME_H__


#ifndef __CONFIG_H__
#define __CONFIG_H__
#include "../config.h"
#endif  __CONFIG_H__


#define	GECCODATETIME_NAME			"geccoDate/Time"
#define	GECCODATETIME_VERSION		VERSION
#define	GECCODATETIME_FULLNAME		GECCODATETIME_NAME " " GECCODATETIME_VERSION
#define	GECCODATETIME_DESCRIPTION	"A date and time configuration "\
					"plugin for gecco."
#define GECCODATETIME_COPYRIGHT		"(c) 1999-2000 John Vivian"


#define	GECCODATETIME_TIME_LENGTH	8



/*
 * defines a 'geccodatetime' app
 */

typedef struct {
	GtkTooltips	*tips;

	GtkWidget	*win;
	GtkWidget	*cal;
	GtkWidget	*time;
	GSList		*ampm;
	GtkWidget	*am,
			*pm;
	GtkWidget	*dst;		// Daylight Saving Time

	gint		refresh_tag;
	int		date_refresh_tag,
			time_refresh_tag;

	GtkWidget	*errordialog;

	} geccodatetime_t;


#endif	__GECCODATETIME_H__

